'use strict';

var neetoCist = require('@bigbinary/neeto-cist');
var constants = require('./chunk-DN1S-KLQ.cjs.js');

var removeTagsStart = function removeTagsStart(node) {
  while (node.firstChild && constants.EMPTY_TAGS_TO_REMOVE.includes((_node$firstChild$tagN = node.firstChild.tagName) === null || _node$firstChild$tagN === void 0 ? void 0 : _node$firstChild$tagN.toLowerCase())) {
    var _node$firstChild$tagN;
    if (!node.firstChild.innerHTML) {
      node.firstChild.remove();
    } else {
      removeTagsStart(node.firstChild);
      if (node.firstChild.innerHTML) {
        break;
      }
    }
  }
};
var removeTagsEnd = function removeTagsEnd(node) {
  while (node.lastChild && constants.EMPTY_TAGS_TO_REMOVE.includes((_node$lastChild$tagNa = node.lastChild.tagName) === null || _node$lastChild$tagNa === void 0 ? void 0 : _node$lastChild$tagNa.toLowerCase())) {
    var _node$lastChild$tagNa;
    if (!node.lastChild.innerHTML) {
      node.lastChild.remove();
    } else {
      removeTagsEnd(node.lastChild);
      if (node.lastChild.innerHTML) {
        break;
      }
    }
  }
};
var removeEmptyTags = function removeEmptyTags(html) {
  var tempDiv = document.createElement("div");
  tempDiv.innerHTML = html;
  removeTagsStart(tempDiv);
  removeTagsEnd(tempDiv);
  return tempDiv.innerHTML;
};
var isEditorEmpty = function isEditorEmpty(htmlContent) {
  var _element$textContent;
  if (neetoCist.isNotPresent(htmlContent)) return true;
  if (constants.NON_EMPTY_TAGS.some(function (tag) {
    return htmlContent.includes(tag);
  })) return false;
  var element = document.createElement("div");
  element.innerHTML = htmlContent;
  var editorIsEmpty = neetoCist.isNotPresent((_element$textContent = element.textContent) === null || _element$textContent === void 0 ? void 0 : _element$textContent.trim());
  element.remove();
  return editorIsEmpty;
};
var isEditorContentWithinLimit = function isEditorContentWithinLimit(htmlContent, maxLength) {
  if (neetoCist.isNotPresent(htmlContent)) return true;
  var element = document.createElement("div");
  element.innerHTML = htmlContent;
  var isLengthWithinLimit = element.textContent.length <= maxLength;
  element.remove();
  return isLengthWithinLimit;
};

exports.isEditorContentWithinLimit = isEditorContentWithinLimit;
exports.isEditorEmpty = isEditorEmpty;
exports.removeEmptyTags = removeEmptyTags;
//# sourceMappingURL=chunk-a-cnTJIr.cjs.js.map
